Page MenuHomePhabricator

wm-bot not reporting on recent changes (4)
Closed, ResolvedPublic

Description

wm-bot's recent changes reporting feature has gone silent again. The @recentchanges-on and @recentchanges-off commands are working, but I cannot add or remove pages. Appears to be affecting all channels. Reloading the channel config did not help. All other parts of the bot are working fine.

See also:

This feature sure has a history...

Event Timeline

K6ka created this task.Oct 18 2017, 1:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2017, 1:41 PM
Matthewrbowker triaged this task as High priority.Oct 18 2017, 3:35 PM
Matthewrbowker added a subscriber: Matthewrbowker.

wmib.log is full of

LOG [10/18/2017 3:29:07 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:29:20 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:29:33 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:29:46 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:29:59 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:30:12 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:30:25 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:30:38 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:30:51 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:31:04 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:31:17 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:31:30 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:31:43 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
LOG [10/18/2017 3:31:56 PM]   [ERROR]: ModuleRC: redis is empty for 10 seconds
Petrb added a subscriber: Petrb.Oct 19 2017, 1:07 PM

yes there is probably some issue with XmlRcs feed, I will check

Petrb closed this task as Resolved.Oct 19 2017, 6:46 PM
Petrb claimed this task.

ok it looks like daemon connect to wikimedia stream locked up for some reason... :/